package com.heyu.api.data.dao.user;
/**
* <p>
* 用户房间表 服务类
* </p>
*
* @author quyixiao
* @since 2025-03-04
*/
import com.heyu.api.data.entity.user.UserRoomEntity;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;
@Mapper
public interface UserRoomDao extends BaseMapper<UserRoomEntity> {


	UserRoomEntity selectUserRoomById(@Param("id")Long id);


	Long insertUserRoom(UserRoomEntity userRoom);


	Long insertOrUpdateUserRoom(UserRoomEntity userRoom);


	int updateUserRoomById(UserRoomEntity userRoom);


	int updateCoverUserRoomById(UserRoomEntity userRoom);


	int deleteUserRoomById(@Param("id")Long id);


}